e2guardian(8)

NAME
e2guardian2 - web content filter

SYNOPSIS

e2guardian [ -c config-file ] [ -v ] [ -h ] [ -N ] [ -q ] [ -Q ] [ -s ] [ -r ] [ -g ]

SUMMARY
e2guardian is a web content filtering proxy(1) for Linux, NetBSD, FreeBSD, OpenBSD, and Solaris that uses Squid(2) to do all the fetching. It filters using multiple methods. These methods include URL and domain filtering, content phrase filtering, PICS filtering, MIME type filtering, file extension filtering, POST limiting and content (AV) scanning. The content phrase filtering will check for pages that contain profanities and phrases often associated with pornography and other undesirable content. The POST filtering allows you to block or limit web uploads. The URL and domain filtering is able to handle huge lists and is significantly faster than squidGuard. Content scanning enables downloaded content to be passed through ClamD, KAVD, any local program with machine-parseable console output, and any other AV scanner available as an ICAP server. The filtering has configurable domain, user and source IP exception lists. SSL tunneling is supported; however, due to the encrypted nature of HTTPS requests, filtering is only supported on destination domain or with SSL MITM configuration. The configurable logging produces a log in an easy to read format which has the option to only log the text-based pages, thus significantly reducing redundant information such as every image on a page. e2guardian is under continuous development and so it is best to visit the web site for the latest information.
 (1) Technically e2guardian is more of a filtering pass-through than a true proxy - but don't let that worry you!
 (2) e2guardian should work with any proxy, not just Squid. For example, it is known to work with Oops.

DOCUMENTATION

For all further information including copyright, support, FAQ, docs, mailing list - please go to:
  http://e2guardian.org/ Available documentation can be found at
 http://www.e2guardian.org The e2guardian FAQ is at http://www.e2guardian.org Some useful HOWTOs that cover specific implimentations of e2guardian and caching/filtering in general can be found at
 http://www.e2guardian.org Information about Debian specific changes and configuration can be found in /usr/share/doc/e2guardian/changelog.Debian.gz .

OPTIONS

-c config-file
    Use the given config-file.

-v  gives the version number and build options.

-h  Output a short summary of available command line options.

-N  Do not go into the background.

-q  causes e2guardian to kill any running copy.

-Q  kill any running copy AND start a new one with current options.

-s  shows the parent process PID and exits.

-r  closes all connections and reloads config files by issuing a HUP, but this does not reset the maxchildren option (amongst others).

-g  gently restarts by not closing all current connections; only reloads filter group config files. (Issues a USR1)

COPYRIGHT
e2guardian is copyright E2BN and Frederic Bourgeois